:root {
  --border: rgba(0, 0, 0, 0.2);
  --border_shadow: rgba(0, 0, 0, 0.05);
  --border_hover: rgba(0, 0, 0, 0.3);
  --border_hover_shadow: rgba(0, 0, 0, 0.1);
  --shadow: rgba(0, 0, 0, 0.2);
  --red: #ff3434;
  --blue: #007acc;
  --green: #0dc140;
  --box: #343434;
  --boxp: #292929;
  --but_black: #232323;
  --fontcr: #eaeaea;
  --fontcrp: #909090;
  --gray: #f4f4f4;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  color: #333;
  font-size: 14px;
}

iframe {
  border: none;
}

@keyframes quake {
  10%,
  20%,
  30%,
  40%,
  50%,
  60%,
  70%,
  80%,
  90%,
  100% {
    transform: rotate(5deg);
  }
  5%,
  15%,
  25%,
  35%,
  45%,
  55%,
  65%,
  75%,
  85%,
  95% {
    transform: rotate(-5deg);
  }
}

@keyframes topto {
  0% {
    opacity: 0;
    top: 0;
  }

  100% {
    opacity: 1;
    top: 50px;
  }
}

@keyframes rightto {
  0% {
    opacity: 0;
    bottom: 50px;
  }

  80% {
    opacity: 0;
    bottom: 20px;
  }

  100% {
    opacity: 1;
    bottom: 42px;
  }
}

@keyframes rotate {
  0% {
    transform:rotate(0deg);
  }
  to {
    transform:rotate(360deg);
  }
}

label.not_null::before {
  content: '*';
  color: var(--red);
  margin-right: 5px;
  vertical-align: middle;
}

#notify {
  font-size: 14px;
  padding: 10px 40px;
  border-radius: 4px;
  background-color: #fff;
  box-shadow: 0 1px 5px var(--shadow);
  position: absolute;
  z-index: 9;
  top: 50px;
  left: 50%;
  transition: opacity 0.25s, top 0.25s;
  animation: topto 0.5s forwards;
}

#notify span:first-child::before {
  font-size: 16px;
  position: relative;
  top: 1px;
  left: -5px;
  color: var(--red);
}

#loading {
  font-size: 14px;
  padding: 10px 40px;
  border-radius: 4px;
  background-color: #fff;
  box-shadow: 0 1px 5px var(--shadow);
  position: absolute;
  z-index: 9;
  right: 10px;
  transition: opacity 0.25s, top 0.25s;
  /* 设置n秒，避免快速响应的数据也总是显示加载中的提示 */
  animation: rightto 0.85s forwards;
}

#loading>span:nth-of-type(1) {
  display: inline-block;
  animation: rotate 1s linear infinite;
}

.iconfont {
  font-family: 'iconfont' !important;
  font-size: 14px;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul,
li {
  padding: 0;
  margin: 0;
  list-style: none;
}

input,
button,
textarea,
select {
  border: none;
  outline: none;
  background: none;
  box-sizing: border-box;
  border-radius: 4px;
  -webkit-appearance: none; 
}

input:disabled,
button:disabled,
select:disabled,
textarea:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

input[type='checkbox'],
input[type='radio'] {
  appearance: revert;
}

button,
details {
  cursor: pointer;
}

table {
  border-collapse: collapse;
  table-layout: fixed;
}

form label,
form input,
form button {
  font-size: 14px;
  color: inherit;
}

form input,
form button,
form textarea,
form select {
  height: 40px;
  background-color: #fff;
  width: 100%;
  padding: 0 15px;
  border-radius: 4px;
  border: 1px solid var(--border);
  box-shadow: 0 1px 5px var(--border_shadow);
  transition: 0.25s;
}

form button {
  padding: 0 20px;
}

form textarea {
  height: 100px;
  padding: 15px 20px;
}

form button a {
  text-decoration: none;
  color: inherit;
  font-size: 14px;
}

form input:hover,
form button:hover,
form textarea:hover,
form select:hover {
  border-color: var(--border_hover);
  box-shadow: 0 1px 5px var(--border_hover_shadow);
}

form input[type='checkbox'] {
  width: auto;
  height: auto;
}

form button.blue {
  color: #fff;
  background-color: var(--blue);
}

form button.green {
  color: #fff;
  background-color: var(--green);
}

form.label_top label {
  display: block;
  margin-bottom: 15px;
  height: 20px;
  line-height: 20px;
  position: relative;
}

form.label_top > div {
  margin-bottom: 15px;
}

form.label_top > button {
  margin-top: 15px;
}

form p,
form a,
form details summary {
  font-size: 12px;
  margin: 5px 0;
}

form details ul li {
  font-size: 12px;
}

form.tool {
  display: flex;
}

form.tool > div {
  margin-right: 10px;
}

form.tool > div:nth-last-child(1) {
  margin-right: 0;
}

form ul.file {
  display: flex;
}

form ul.file li {
  cursor: move;
  margin-right: 5px;
  width: 88px;
  height: 88px;
  position: relative;
  border-radius: 4px;
  border: 1px solid var(--border);
  overflow: hidden;
}

form ul.file li:nth-last-child(1) {
  margin-right: 0;
}

form ul.file li button.iconfont {
  height: 100%;
  position: absolute;
  border: none;
  z-index: 3;
}

form ul.file li span.iconfont {
  position: absolute;
  top: 0;
  right: 0;
  color: #fff;
  background: rgba(0, 0, 0, 0.7);
  display: block;
  padding: 1px;
  cursor: pointer;
  z-index: 5;
}

form ul.file li input[type='file'] {
  height: 100%;
  opacity: 0;
  position: absolute;
  z-index: 4;
}

form ul.file li img,
form ul.file li video {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

nav {
  text-align: center;
  margin-top: 10px;
}

nav > * {
  display: inline-block;
  vertical-align: top;
}

nav > ul > li {
  display: inline-block;
}

nav input,
nav button,
.extra button,
.dialog .item_tag {
  font-size: 12px;
  color: inherit;
  margin-right: 2px;
  height: 35px;
  background-color: #fff;
  padding: 0 15px;
  border-radius: 4px;
  border: 1px solid var(--border);
  box-shadow: 0 1px 5px var(--border_shadow);
  transition: 0.25s;
  width: auto;
}

.extra {
  background-color: none;
  position: absolute;
  bottom: 0;
}

nav > button:nth-last-of-type(1) {
  margin-right: 0;
}

nav input {
  width: 120px;
}

nav > ul > li > button {
  padding: 0 14px;
}

nav input:hover,
nav button:hover,
.dialog .item_tag:hover {
  border-color: var(--border_hover);
  box-shadow: 0 1px 5px var(--border_hover_shadow);
}

nav button.blue {
  color: #fff;
  background-color: var(--blue);
}

.dialog {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
}

@keyframes show_iframe {
  0% {
    opacity: 0;
    bottom: -150px;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 1;
    bottom: 0;
  }
}

.dialog > iframe {
  width: 100%;
  height: 90%;
  position: fixed;
  bottom: 0;
  z-index: 3;
  /* animation: show_iframe 0.6s forwards; */
}

.dialog > div[name='blackbg'] {
  width: inherit;
  height: inherit;
  background-color: rgba(0, 0, 0, 0.7);
  position: fixed;
  top: 0;
}

@keyframes show_formbox {
  0% {
    opacity: 0;
    bottom: -150px;
  }

  100% {
    opacity: 1;
    bottom: 0;
  }
}

.dialog > .formbox {
  width: 560px;
  height: 80%;
  background-color: #fafafa;
  box-shadow: 0 1px 5px var(--shadow);
  border-radius: 4px 4px 0 0;
  position: fixed;
  bottom: 0;
  left: 50%;
  margin: 0 0 0 -280px;
  z-index: 2;
  animation: show_formbox 0.3s forwards;
  overflow-y: auto;
}

.dialog > .formbox > form {
  padding: 30px 45px 20px 45px;
  flex-wrap: wrap;
  position: relative;
}

.dialog > .formbox > form > div.title {
  color: var(--border_hover);
  margin-bottom: 30px;
  padding-right: 20px;
}

.dialog > .formbox > form > div.flex {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

.dialog > .formbox > form > div.flex > div {
  width: 100%;
}

.dialog > .formbox > form > div.btn {
  display: flex;
  margin-bottom: 0;
  justify-content: right;
}

.dialog > .formbox > form > div.btn > button {
  width: auto;
}

.dialog > .formbox > form > div.clone {
  position: absolute;
  padding: 10px;
  cursor: pointer;
  top: 15px;
  right: 20px;
  font-size: 16px;
  color: var(--border_hover);
  transition: 0.3s;
}

.dialog > .formbox > form > .clone:hover {
  color: var(--blue);
}

.dialog .tags button {
  /* display:inline-block;  */
  margin: 10px 10px 0 0;
}

footer {
  text-align: center;
  background-color: var(--gray);
  padding: 0;
  border-top: 1px solid var(--border);
  font-size: 12px;
  padding: 8px 0 7px;
}

.cument {
  margin-top: 10px;
  position: relative;
}

.cument > div#thead_box,
.cument > div#tbody_box,
.cument > div#tfoot_box {
  border: 1px solid var(--border);
  border-collapse: collapse;
  background-color: #fff;
  overflow: auto;
}

.cument > div#thead_box,
.cument > div#tfoot_box {
  overflow-x: hidden;
}

.cument > div#thead_box {
  border-radius: 3px 3px 0 0;
}

.cument > div#tfoot_box {
  border-radius: 0 0 3px 3px;
}

.cument > div#tbody_box,
.cument > div#tfoot_box {
  border-top: none;
}

.cument > div#tbody_box > table > tbody tr:hover {
  background-color: var(--gray);
}

.cument > div table th,
.cument > div table td {
  height: 40px;
  border: 1px solid var(--border);
  border-top: none;
  border-bottom: none;
  padding: 0;
  margin: 0;
  color: var(--box);
  font-size: 13px;
  text-align: center;
}

.cument > div table th {
  font-size: 12px;
  background-color: rgba(0, 0, 0, 0.05);
}

.cument > div#tbody_box tr td {
  border-bottom: 1px solid var(--border);
}

.cument > div#tbody_box tr td span {
  padding: 0 15px;
}

.cument > div#tbody_box tr td[name='btn'] button {
  font-size: inherit;
}


/* .cument>div#tbody_box tr:nth-last-child(1) td {
  border-bottom: none;
} */

.cument > div table th:nth-child(1),
.cument > div table td:nth-child(1) {
  border-left: none;
}

.cument > div table th:nth-last-child(1),
.cument > div table td:nth-last-child(1) {
  border-right: none;
}

.initial {
  display: initial;
}

ul#mouse_menu {
  width: 100px;
  border-radius: 4px;
  background-color: #fff;
  box-shadow: 0 1px 5px var(--shadow);
  position: absolute;
  z-index: 9;
  left: 0;
  top: 0;
  overflow: hidden;
}

ul#mouse_menu > li[name='btn'] button {
  width: 100%;
  font-size: 13px;
  border-radius: 0;
  padding: 10px 15px;
}

ul#mouse_menu > li[name='btn'] button:hover {
  color: #f4f4f4;
  background-color: var(--blue);
}

.filex {
  width: 100%;
  height: 100%;
  background-color: #fff;
}

.filex span {
  display: -webkit-box;
  font-size: 13px;
  padding: 10px 10px 0 10px;
  word-break: break-word;
	overflow-y: hidden;
	text-overflow: ellipsis;
  -webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
}

.label_small {
  position: absolute;
  right: 0;
}

.label_small input {
  margin-left: 5px;
  margin-bottom: 5px;
  vertical-align: middle;
}

.barcode_btn {
  position: relative;
}

.barcode_btn > img {
  width: 80px;
  object-fit: cover;
  position: absolute;
  right: -92px;
  top: 0;
  background-color: #fff;
  border-radius: 4px;
  border: 1px solid var(--border);
  box-shadow: 0 1px 5px var(--border_shadow);
  overflow: hidden;
  z-index: 2;
  display: none;
}

.barcode_btn:hover > img {
  display: block;
}
